Subject: bug#61996: 30.0.50; Submitting elixir-ts-mode and heex-ts-mode

From: Dmitry Gutov <[email-masked]>
Date: Sat, 11 Mar 2023 16:16:24 +0200

On 11/03/2023 11:16, Eli Zaretskii wrote:
>> +(defun heex-ts-mode--forward-sexp (&optional arg)
>> +  (interactive "^p")
> Why is a command an internal function?  That is unusual, as commands
> are by definition public.  It looks like you thought the double-hyphen
> "--" notation is a simple delimiter between the package-name part of
> the symbol name and the rest?  If so, you were mistaken: the
> double-hyphen means this is an internal function/variable.  Please
> review all your symbol names in this patch and rename as appropriate.

I'm guessing it was made interactive for debugging purposes.

But even that doesn't seem necessary: calling 'forward-sexp' through its 
regular binding will invoke forward-sexp-function basically right away.

(treesit-forward-sexp doesn't need to be interactive either.)